<?
$defines = Zend_Registry::get('defines');
$cache = Zend_Registry::get('cache');
$modelCities = new Model_Cities();
$m_st = new Model_Statistics();
$geo_city = $modelCities->getByGeoIp();

$this->countries = $m_st->getEDCountries($this->gender, $this->is_agency, $this->is_tour, $this->is_upcomingtour, null, $geo_city, $this->city, $this->country, $this->is_new, $this->category);
if ($this->country)
{
	$this->cities = $m_st->getEDCities($this->gender, $this->is_agency, $this->is_tour, $this->is_upcomingtour, null, $geo_city, $this->city, $this->country, $this->is_new, $this->category, $this->region);
	if($this->country == 68){
		$regions =  $m_st->getEDRegions($this->gender, $this->is_agency, $this->is_tour, $this->is_upcomingtour, null, $geo_city, $this->city, $this->country, $this->is_new, $this->category);
	}
}

/*$avail_incall_type_options = array(
	AVAIL_INCALL_TYPE_PRIVATE_APARTMENT  => Cubix_I18n::translate('private_apartment'),
	AVAIL_INCALL_TYPE_CLUB_STUDIO	=> Cubix_I18n::translate('club_studio')
);*/

$show_advanced_search = false;
if ( isset($_COOKIE['show_advanced_search']) && $_COOKIE['show_advanced_search'] ) {
	$show_advanced_search = true;
}
?>

<section id="search-box-wrapper">
	<form class="moony" id="moony-form" >

	
	<? /*<ul id="search-box-tabs" class="clearfix">
		<li class="quick-search-btn act"><?= __('escort_quick_search') ?></li>
		<li class="advanced-search-btn"><?= __('advanced_search') ?></li>
	</ul>*/ ?>

	<div id="search-box" <?= $show_advanced_search ? "class='none'" : "" ?>  >
		<div class="clearfix" id="simple-search-area">

            <div class="float-left w100">
                <p class="escorts-in"><?= __('escorts_in')?> </p>
            </div>
			
			<select class="w270 moony" name="country" id="country" onchange="return Sceon.loadCitiesForFilter(<?= is_null($this->gender) ? 'null' : $this->gender ?>, <?= is_null($this->is_agency) ? 'null' : $this->is_agency ?>, <?= $this->is_tour ?>, <?= $this->is_upcomingtour ?>, <?= $this->is_new ? 1 : 0 ?>, this, $('city'));">
				<option value=""><?= __('country') ?></option>
				<? foreach ($this->countries as $country): ?>
					<option data-title="<?= $country->country_title?>" value="<?= $country->country_id ?>" <? if ($this->country == $country->country_id): ?>selected="selected"<? endif; ?>><?= $country->country_title.' ('.$country->escort_count.')' ?></option>
				<? endforeach; ?>
			</select>
			
			<div id="region-hider" <?= $this->country == 68 ? '' : 'class="none"' ?> >
				<select class="moony w-100-p" name="region" id="regions" onchange="return Sceon.loadRegionCitiesForFilter(<?= is_null($this->gender) ? 'null' : $this->gender ?>, <?= is_null($this->is_agency) ? 'null' : $this->is_agency ?>, <?= $this->is_tour ?>, <?= $this->is_upcomingtour ?>, <?= $this->is_new ? 1 : 0 ?>, this, $('city'));">
					<option value=""><?= __('regions') ?></option>
					<? if ($regions): ?>
						<? foreach ($regions as $region): ?>
							<option data-title="<?= $region->region_title?>"  value="<?= $region->region_id ?>" <? if ($region->region_id == $region_id): ?>selected="selected"<? endif; ?>><?= $region->region_title ?></option>
						<? endforeach; ?>
					<? endif; ?>
				</select>
			</div>
			<select class="w270 moony" name="city" id="city">
				<option value=""><?= __('city') ?></option>
				<? if ($this->cities): ?>
					<? foreach ($this->cities as $city): ?>
						<option data-title="<?= $city->city_title?>" value="<?= $city->city_id ?>" <? if ($city->city_id == $this->city): ?>selected="selected"<? endif; ?>><?= $city->city_title ?></option>
					<? endforeach; ?>
				<? endif; ?>
			</select>

			

			<?/*<select class="w135 moony" name="type">
				<option value="escort"><?= __('escort') ?></option>
				<option value="massage"><?= __('massage') ?></option>
				<option value="bdsm"><?= __('bdsm') ?></option>
			</select>*/?>

<!--			<div class="search-wrapper">-->
<!--				<input type="text" class="search-field" name="top_search_input" id="top_search_input" placeholder="--><?//= __('quick_search_by_showname') ?><!--" value="--><?//= $this->top_search_input ?><!--" />-->
<!--				<input type="hidden" id="ts_type" name="ts_type" value="--><?// if ($this->ts_type): ?><!----><?//= $this->ts_type ?><!----><?// endif; ?><!--" />-->
<!--				<input type="hidden" id="ts_slug" name="ts_slug" value="--><?// if ($this->ts_slug): ?><!----><?//= $this->ts_slug ?><!----><?// endif; ?><!--" />-->
<!--				<div class="search-icon"></div>-->
<!--			</div>-->
			<?/* if ($this->gender): ?>
				<select class="w100 moony" name="gender" disabled="disabled">
					<option value=""><?= $defines['gender_options'][$this->gender] ?></option>
				</select>
			<? endif; */?>

			<a href="#" class="search-button simple-search-button"><?= __('change')?></a>
		</div>

        <div class="clearfix none" id="location-title-area">
            <div class="float-left">
                <p class="escorts-in"><?= __('escorts_in')?>
                    <span id="location-title"></span>

                    <span class="text-pink p-l-20" id="change-search">
                        <span class="cursor-pointer"> <?= __('change_location')?></span>
                        <span class="cursor-pointer">
                            <img src="/img/marker.png" class="vertical-middle" />
                        </span>
                    </span>
                </p>
            </div>
        </div>
		<div class="checkbox-section clearfix">

<!--            Real Pics-->
            <label class="custom-control custom-checkbox">
                <input name="s_real_pics" id="real-pics" class="custom-control-input" type="checkbox" value="1" <?= ($this->s_real_pics) ? 'checked="checked"' : '' ?> />
                <span class="custom-control-indicator"></span>
                <span class="custom-control-description"><?= __('quick_search_real_pics') ?></span>
            </label>

<!--            Verified Contact-->
            <label class="custom-control custom-checkbox">
                <input name="s_verified_contact" id="verified-contact" class="custom-control-input" type="checkbox" value="1" <?= ($this->s_verified_contact) ? 'checked="checked"' : '' ?> />
                <span class="custom-control-indicator"></span>
                <span class="custom-control-description"><?= __('quick_search_verified_contact') ?></span>
            </label>

<!--            With Video-->
            <label class="custom-control custom-checkbox">
                <input name="s_with_video" id="with-video" class="custom-control-input" type="checkbox" value="1" <?= ($this->s_with_video) ? 'checked="checked"' : '' ?> />
                <span class="custom-control-indicator"></span>
                <span class="custom-control-description"><?= __('quick_search_video') ?></span>
            </label>

<!--            Pornstar-->
            <label class="custom-control custom-checkbox">
                <input name="s_pornstar" id="pornstar" class="custom-control-input" type="checkbox" value="1" <?= ($this->s_pornstar) ? 'checked="checked"' : '' ?> />
                <span class="custom-control-indicator"></span>
                <span class="custom-control-description"><?= __('quick_search_pornstar') ?></span>
            </label>

<!--            Online-->
            <label class="custom-control custom-checkbox">
                <input name="s_is_online_now" id="s_is_online_now" class="custom-control-input" type="checkbox" value="1" <?= ($this->s_is_online_now) ? 'checked="checked"' : '' ?> />
                <span class="custom-control-indicator"></span>
                <span class="custom-control-description"><?= __('quick_search_online') ?></span>
            </label>

<!--            Available for Travel-->
            <label class="custom-control custom-checkbox">
                <input name="s_available_for_travel" id="s_available_for_travel" class="custom-control-input" type="checkbox" value="1" <?= ($this->s_available_for_travel) ? 'checked="checked"' : '' ?> />
                <span class="custom-control-indicator"></span>
                <span class="custom-control-description"><?= __('available_for_travel') ?></span>
            </label>

<!--            Natural Pics-->
            <label class="custom-control custom-checkbox">
                <input name="s_natural_photo" id="s_natural_photo" class="custom-control-input" type="checkbox" value="1" <?= ($this->s_natural_photo) ? 'checked="checked"' : '' ?> />
                <span class="custom-control-indicator"></span>
                <span class="custom-control-description"><?= __('natural_photos') ?></span>
            </label>



<!--			<input name="s_real_pics" id="real-pics" class="moony" type="checkbox" value="1" --><?//= ($this->s_real_pics) ? 'checked="checked"' : '' ?><!-- />-->
<!--			<label for="real-pics">--><?//= __('quick_search_real_pics') ?><!--</label>-->
<!--			<input name="s_verified_contact" id="verified-contact" class="moony" type="checkbox" value="1" --><?//= ($this->s_verified_contact) ? 'checked="checked"' : '' ?><!-- />-->
<!--			<label for="verified-contact">--><?//= __('quick_search_verified_contact') ?><!--</label>-->
<!--			<input name="s_with_video" id="with-video" class="moony" type="checkbox" value="1" --><?//= ($this->s_with_video) ? 'checked="checked"' : '' ?><!-- />-->
<!--			<label for="with-video">--><?//= __('quick_search_video') ?><!--</label>-->
<!--			<input name="s_pornstar" id="pornstar" class="moony" type="checkbox" value="1" --><?//= ($this->s_pornstar) ? 'checked="checked"' : '' ?><!-- />-->
<!--			<label for="pornstar">--><?//= __('quick_search_pornstar') ?><!--</label>-->
<!--			<input name="s_is_online_now" id="s_is_online_now" class="moony" type="checkbox" value="1" --><?//= ($this->s_is_online_now) ? 'checked="checked"' : '' ?><!-- />-->
<!--			<label for="s_is_online_now">--><?//= __('quick_search_online') ?><!--</label>-->
<!--			<input name="s_available_for_travel" id="s_available_for_travel" class="moony" type="checkbox" value="1" --><?//= ($this->s_available_for_travel) ? 'checked="checked"' : '' ?><!-- />-->
<!--			<label for="s_available_for_travel">--><?//= __('available_for_travel') ?><!--</label>-->
<!--            <input name="s_natural_photo" id="s_natural_photo" class="moony" type="checkbox" value="1" --><?//= ($this->s_natural_photo) ? 'checked="checked"' : '' ?><!-- />-->
<!--            <label for="s_natural_photo">--><?//= __('natural_photos') ?><!--</label>-->
			<span class="go-to-advance"><?= __('advanced_search') ?> &raquo;</span>
			<?/*<div class="escorts-count">We have over <?= $total_escorts_count ?> escorts on our website!</div>*/?>
		</div>
	</div>

	<div id="advanced-search-box-v2" <?= $show_advanced_search ? "" : "class='none'" ?>>
		<?= $this->render('escorts/advanced-search.phtml'); ?>
	</div>
	</form>
</section>